# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-12-05 10:07
from __future__ import unicode_literals

from django.db import migrations
from django.contrib.auth.models import Group, Permission
from django.contrib.auth.management import create_permissions


def add_group_permissions(apps, schema_editor):
    for app_config in apps.get_app_configs():
        app_config.models_module = True
        create_permissions(app_config, apps=apps, verbosity=0)
        app_config.models_module = None

    """Workers"""
    group, created = Group.objects.get_or_create(name='Workers')
    
    add_worker_task         = Permission.objects.get(codename='add_worker_task')
    group.permissions.add(add_worker_task)
    group.save()

    """Requester"""
    group, created = Group.objects.get_or_create(name='Requester')

    #answer_type
    view_answer_type        = Permission.objects.get(codename='view_answer_type')
    group.permissions.add(view_answer_type)
    #campaign
    add_campaign            = Permission.objects.get(codename='add_campaign')
    group.permissions.add(add_campaign)
    change_campaign         = Permission.objects.get(codename='change_campaign')
    group.permissions.add(change_campaign)
    view_campaign           = Permission.objects.get(codename='view_campaign')
    group.permissions.add(view_campaign)
    #campaign_status
    view_campaign_status    = Permission.objects.get(codename='view_campaign_status')
    group.permissions.add(view_campaign_status)
    #profile_skill
    view_profile_skill      = Permission.objects.get(codename='view_profile_skill')
    group.permissions.add(view_profile_skill)
    #task
    add_task                = Permission.objects.get(codename='add_task')
    group.permissions.add(add_task)
    change_task             = Permission.objects.get(codename='change_task')
    group.permissions.add(change_task)
    delete_task             = Permission.objects.get(codename='delete_task')
    group.permissions.add(delete_task)
    view_task               = Permission.objects.get(codename='view_task')
    group.permissions.add(view_task)
    #task_choice
    add_task_choice         = Permission.objects.get(codename='add_task_choice')
    group.permissions.add(add_task_choice)
    change_task_choice      = Permission.objects.get(codename='change_task_choice')
    group.permissions.add(change_task_choice)
    delete_task_choice      = Permission.objects.get(codename='delete_task_choice')
    group.permissions.add(delete_task_choice)
    view_task_choice        = Permission.objects.get(codename='view_task_choice')
    group.permissions.add(view_task_choice)
    #tak_setup_pattern
    view_task_setup_pattern = Permission.objects.get(codename='view_task_setup_pattern')
    group.permissions.add(view_task_setup_pattern)
    #task_skill
    add_task_skill          = Permission.objects.get(codename='add_task_skill')
    group.permissions.add(add_task_skill)
    change_task_skill       = Permission.objects.get(codename='change_task_skill')
    group.permissions.add(change_task_skill)
    delete_task_skill       = Permission.objects.get(codename='delete_task_skill')
    group.permissions.add(delete_task_skill)
    view_task_skill         = Permission.objects.get(codename='view_task_skill')
    group.permissions.add(view_task_skill)
    #task_status
    view_task_choice        = Permission.objects.get(codename='view_task_status')
    group.permissions.add(view_task_choice)
    #task_task_setup
    add_task_task_setup     = Permission.objects.get(codename='add_task_task_setup')
    group.permissions.add(add_task_task_setup)
    change_task_task_setup  = Permission.objects.get(codename='change_task_task_setup')
    group.permissions.add(change_task_task_setup)
    delete_task_task_setup  = Permission.objects.get(codename='delete_task_task_setup')
    group.permissions.add(delete_task_task_setup)
    view_task_task_setup    = Permission.objects.get(codename='view_task_task_setup')
    group.permissions.add(view_task_task_setup)
    #worker_campaign
    change_worker_campaign  = Permission.objects.get(codename='change_worker_campaign')
    group.permissions.add(change_worker_campaign)
    view_worker_campaign    = Permission.objects.get(codename='view_worker_campaign')
    group.permissions.add(view_worker_campaign)
    #worker_task
    change_worker_task      = Permission.objects.get(codename='change_worker_task')
    group.permissions.add(change_worker_task)
    view_worker_task        = Permission.objects.get(codename='view_worker_task')
    group.permissions.add(view_worker_task)
    group.save()

    """Administrator"""
    group, created = Group.objects.get_or_create(name='Administrator')
    
    #auth_user
    add_user                = Permission.objects.get(codename='add_user')
    group.permissions.add(add_user)
    change_user             = Permission.objects.get(codename='change_user')
    group.permissions.add(change_user)
    delete_user             = Permission.objects.get(codename='delete_user')
    group.permissions.add(delete_user)
    #answer_type
    add_answer_type         = Permission.objects.get(codename='add_answer_type')
    group.permissions.add(add_answer_type)
    change_answer_type      = Permission.objects.get(codename='change_answer_type')
    group.permissions.add(change_answer_type)
    delete_answer_type      = Permission.objects.get(codename='delete_answer_type')
    group.permissions.add(delete_answer_type)
    view_answer_type        = Permission.objects.get(codename='view_answer_type')
    group.permissions.add(view_answer_type)
    #campaign
    add_campaign            = Permission.objects.get(codename='add_campaign')
    group.permissions.add(add_campaign)
    change_campaign         = Permission.objects.get(codename='change_campaign')
    group.permissions.add(change_campaign)
    delete_campaign         = Permission.objects.get(codename='delete_campaign')
    group.permissions.add(delete_campaign)
    view_campaign           = Permission.objects.get(codename='view_campaign')
    group.permissions.add(view_campaign)
    #campaign_status
    add_campaign_status     = Permission.objects.get(codename='add_campaign_status')
    group.permissions.add(add_campaign_status)
    change_campaign_status  = Permission.objects.get(codename='change_campaign_status')
    group.permissions.add(change_campaign_status)
    delete_campaign_status  = Permission.objects.get(codename='delete_campaign_status')
    group.permissions.add(delete_campaign_status)
    view_campaign_status    = Permission.objects.get(codename='view_campaign_status')
    group.permissions.add(view_campaign_status)
    #pattern
    add_pattern             = Permission.objects.get(codename='add_pattern')
    group.permissions.add(add_pattern)
    change_pattern          = Permission.objects.get(codename='change_pattern')
    group.permissions.add(change_pattern)
    delete_pattern          = Permission.objects.get(codename='delete_pattern')
    group.permissions.add(delete_pattern)
    view_pattern            = Permission.objects.get(codename='view_pattern')
    group.permissions.add(view_pattern)
    #profile
    add_profile             = Permission.objects.get(codename='add_profile')
    group.permissions.add(add_profile)
    change_profile          = Permission.objects.get(codename='change_profile')
    group.permissions.add(change_profile)
    delete_profile          = Permission.objects.get(codename='delete_profile')
    group.permissions.add(delete_profile)
    view_profile            = Permission.objects.get(codename='view_profile')
    group.permissions.add(view_profile)
    #profile_skill
    add_profile_skill       = Permission.objects.get(codename='add_profile_skill')
    group.permissions.add(add_profile_skill)
    change_profile_skill    = Permission.objects.get(codename='change_profile_skill')
    group.permissions.add(change_profile_skill)
    delete_profile_skill    = Permission.objects.get(codename='delete_profile_skill')
    group.permissions.add(delete_profile_skill)
    view_profile_skill      = Permission.objects.get(codename='view_profile_skill')
    group.permissions.add(view_profile_skill)
    #skill
    add_skill               = Permission.objects.get(codename='add_skill')
    group.permissions.add(add_skill)
    change_skill            = Permission.objects.get(codename='change_skill')
    group.permissions.add(change_skill)
    delete_skill            = Permission.objects.get(codename='delete_skill')
    group.permissions.add(delete_skill)
    view_skill              = Permission.objects.get(codename='view_skill')
    group.permissions.add(view_skill)
    #task
    add_task                = Permission.objects.get(codename='add_task')
    group.permissions.add(add_task)
    change_task             = Permission.objects.get(codename='change_task')
    group.permissions.add(change_task)
    delete_task             = Permission.objects.get(codename='delete_task')
    group.permissions.add(delete_task)
    view_task               = Permission.objects.get(codename='view_task')
    group.permissions.add(view_task)
    #task_choice
    add_task_choice         = Permission.objects.get(codename='add_task_choice')
    group.permissions.add(add_task_choice)
    change_task_choice      = Permission.objects.get(codename='change_task_choice')
    group.permissions.add(change_task_choice)
    delete_task_choice      = Permission.objects.get(codename='delete_task_choice')
    group.permissions.add(delete_task_choice)
    view_task_choice        = Permission.objects.get(codename='view_task_choice')
    group.permissions.add(view_task_choice)
    #task_setup
    add_task_setup          = Permission.objects.get(codename='add_task_setup')
    group.permissions.add(add_task_setup)
    change_task_setup       = Permission.objects.get(codename='change_task_setup')
    group.permissions.add(change_task_setup)
    delete_task_setup       = Permission.objects.get(codename='delete_task_setup')
    group.permissions.add(delete_task_setup)
    view_task_setup         = Permission.objects.get(codename='view_task_setup')
    group.permissions.add(view_task_setup)
    #task_setup_pattern
    add_task_setup_pattern  = Permission.objects.get(codename='add_task_setup_pattern')
    group.permissions.add(add_task_setup_pattern)
    change_task_setup_pattern = Permission.objects.get(codename='change_task_setup_pattern')
    group.permissions.add(change_task_setup_pattern)
    delete_task_setup_pattern = Permission.objects.get(codename='delete_task_setup_pattern')
    group.permissions.add(delete_task_setup_pattern)
    view_task_setup_pattern = Permission.objects.get(codename='view_task_setup_pattern')
    group.permissions.add(view_task_setup_pattern)
    #task_skill
    add_task_skill          = Permission.objects.get(codename='add_task_skill')
    group.permissions.add(add_task_skill)
    change_task_skill       = Permission.objects.get(codename='change_task_skill')
    group.permissions.add(change_task_skill)
    delete_task_skill       = Permission.objects.get(codename='delete_task_skill')
    group.permissions.add(delete_task_skill)
    view_task_skill         = Permission.objects.get(codename='view_task_skill')
    group.permissions.add(view_task_skill)
    #task_status
    add_task_status         = Permission.objects.get(codename='add_task_status')
    group.permissions.add(add_task_status)
    change_task_status      = Permission.objects.get(codename='change_task_status')
    group.permissions.add(change_task_status)
    delete_task_status      = Permission.objects.get(codename='delete_task_status')
    group.permissions.add(delete_task_status)
    view_task_choice        = Permission.objects.get(codename='view_task_status')
    group.permissions.add(view_task_choice)
    #task_task_setup
    add_task_task_setup     = Permission.objects.get(codename='add_task_task_setup')
    group.permissions.add(add_task_task_setup)
    change_task_task_setup  = Permission.objects.get(codename='change_task_task_setup')
    group.permissions.add(change_task_task_setup)
    delete_task_task_setup  = Permission.objects.get(codename='delete_task_task_setup')
    group.permissions.add(delete_task_task_setup)
    view_task_task_setup    = Permission.objects.get(codename='view_task_task_setup')
    group.permissions.add(view_task_task_setup)
    #worker
    add_worker              = Permission.objects.get(codename='add_worker')
    group.permissions.add(add_worker)
    change_worker           = Permission.objects.get(codename='change_worker')
    group.permissions.add(change_worker)
    delete_worker           = Permission.objects.get(codename='delete_worker')
    group.permissions.add(delete_worker)
    view_worker             = Permission.objects.get(codename='view_worker')
    group.permissions.add(view_worker)
    #worker_campaign
    add_worker_campaign     = Permission.objects.get(codename='add_worker_campaign')
    group.permissions.add(add_worker_campaign)
    change_worker_campaign  = Permission.objects.get(codename='change_worker_campaign')
    group.permissions.add(change_worker_campaign)
    delete_worker_campaign  = Permission.objects.get(codename='delete_worker_campaign')
    group.permissions.add(delete_worker_campaign)
    view_worker_campaign    = Permission.objects.get(codename='view_worker_campaign')
    group.permissions.add(view_worker_campaign)
    #worker_task
    add_worker_task         = Permission.objects.get(codename='add_worker_task')
    group.permissions.add(add_worker_task)
    change_worker_task      = Permission.objects.get(codename='change_worker_task')
    group.permissions.add(change_worker_task)
    delete_worker_task      = Permission.objects.get(codename='delete_worker_task')
    group.permissions.add(delete_worker_task)
    view_worker_task        = Permission.objects.get(codename='view_worker_task')
    group.permissions.add(view_worker_task)
    group.save()

class Migration(migrations.Migration):

    dependencies = [
        ('argo', '0005_add_view_permission'),
    ]

    operations = [
        migrations.RunSQL("INSERT INTO argo_answer_type (name) VALUES ('Text')"),
        migrations.RunSQL("INSERT INTO argo_answer_type (name) VALUES ('Choice')"),

        migrations.RunSQL("INSERT INTO argo_campaign_status (name) VALUES ('Draft')"),
        migrations.RunSQL("INSERT INTO argo_campaign_status (name) VALUES ('Under Execution')"),
        migrations.RunSQL("INSERT INTO argo_campaign_status (name) VALUES ('Terminated')"),

        migrations.RunSQL("INSERT INTO argo_task_status (name) VALUES ('Ready to Execute')"),
        migrations.RunSQL("INSERT INTO argo_task_status (name) VALUES ('Under Execution')"),
        migrations.RunSQL("INSERT INTO argo_task_status (name) VALUES ('Terminated Successfully')"),
        migrations.RunSQL("INSERT INTO argo_task_status (name) VALUES ('Terminated Unsuccessfully')"),

        migrations.RunPython(add_group_permissions),
    ]